<?xml version="1.0"?>
<configuration>

  <system.web>
    <compilation debug="true"/>
  </system.web>

  <system.diagnostics>
    <trace autoflush="false" />
    <sources>
      <source name="System.ServiceModel" switchValue="Information, ActivityTracing" propagateActivity="true">
        <listeners>
          <add name="sdt" type="System.Diagnostics.XmlWriterTraceListener" initializeData="c:\Cadosys\Log\cadosys.TransportLayer.Protokoll.svclog" />
        </listeners>
      </source>
    </sources>
  </system.diagnostics>

  
  <system.serviceModel>

    <diagnostics>
      <messageLogging logEntireMessage="false" />
      <endToEndTracing propagateActivity="false" activityTracing="false"
            messageFlowTracing="false" />
    </diagnostics>

    <services>
      <service behaviorConfiguration="DefaultServiceBehavior" name="cadosys.Workflow.TransportLayer.TransportServiceGetPolicyImpl">
        <endpoint address="" behaviorConfiguration="WebHttpGetPolBehavior"
          binding="webHttpBinding" contract="cadosys.Workflow.TransportLayer.IPolicyRetriever">
          <identity>
            <dns value="localhost" />
          </identity>
        </endpoint>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:8732/" />
          </baseAddresses>
        </host>
      </service>
      <service behaviorConfiguration="DefaultServiceBehavior" name="cadosys.Workflow.TransportLayer.WorkflowTransportServiceImpl">
        <endpoint address="" binding="basicHttpBinding" bindingConfiguration="basicHttpBindingWorkflowTransport"
          contract="cadosys.Workflow.TransportLayer.IWorkflowTransportService">
          <identity>
            <dns value="localhost" />
          </identity>
        </endpoint>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:8732/WorkflowTransportService/" />
          </baseAddresses>
        </host>
      </service>
      
    </services>
    
    <!-- binding -->
    
    <bindings>
      <basicHttpBinding>
        <binding name="basicHttpBindingWorkflowTransport" maxBufferSize="2147483647" maxBufferPoolSize="2147483647"
          maxReceivedMessageSize="2147483647">
          <readerQuotas maxStringContentLength="2147483647" maxArrayLength="2147483647" />
        </binding>
      </basicHttpBinding>
    </bindings>
    
    <behaviors>
          <endpointBehaviors>
              <behavior name="WebHttpGetPolBehavior">
                  <webHttp />
              </behavior>
          </endpointBehaviors>
          <serviceBehaviors>
              <behavior name="DefaultServiceBehavior">
                  <serviceMetadata httpGetEnabled="true" />
                  <serviceDebug includeExceptionDetailInFaults="true" />
              </behavior>
              <behavior name="ServiceWithoutExceptionDetailsBehavior">
                  <serviceMetadata httpGetEnabled="true" />
                  <serviceDebug includeExceptionDetailInFaults="false" />
              </behavior>
          </serviceBehaviors>
      </behaviors>
  </system.serviceModel>


<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup>

</configuration>
